package org.jerrymouse.cc.site.database;

import org.jerrymouse.cc.site.bean.User;
import org.jerrymouse.cc.site.test.BaseTest;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class UserDaoTest extends BaseTest {

	@Autowired
	UserDao userDao;

	@Test
	public void testPost() throws Exception {
		User user = userDao.createTestUser();
		userDao.put(user);
	}

	@Test
	public void testDelete() throws Exception {
		User user = userDao.createTestUser();
		userDao.put(user);
	}

	@Override
	protected void onTearDown() throws Exception {
		super.onTearDown();
	}
}
